//__________TEXTOS______________
void PaintText(int x,int y,int w,int h,char *texto,unsigned char tipo,int clase)
{

 SDL_Surface *message;

	message = TTF_RenderText_Solid( font,texto, textColor );
	apply_surface( x+28, y+2, message, screen );
}

void PaintTex(int numero,int modo)
{
	PaintText(ntexto[numero].x,ntexto[numero].y,ntexto[numero].w,ntexto[numero].h,ntexto[numero].nombre,modo,ntexto[numero].numero);
}

void PaintTextos()
{
	int x;
	for(x=0;x<MAXTEXTOS && ntexto[x].numero!=-1 ;x++)
	{
		if(ntexto[x].estado==0)
			PaintTex(x,0);
		 else
			PaintTex(x,1);
	}
}	




//______________BOTONES___________________________



void Paintbutton(int x,int y,int w,int h,char *texto,unsigned char tipo)
{
  int w1,h1;
 SDL_Rect clip[ 1 ];
 SDL_Surface *message;
	if(tipo==0)
	{
		clip[ 0 ].x = 0;
	    clip[ 0 ].y = 0;
    	clip[ 0 ].w = 89;
    	clip[ 0 ].h = 25;
	}
	else
	{
		clip[ 0 ].x = 89;
	    clip[ 0 ].y = 0;
    	clip[ 0 ].w = 89;
    	clip[ 0 ].h = 25;		
	}
 	apply_surfaceB( x, y, dots, screen, &clip[ 0 ] );
	message = TTF_RenderText_Solid( font,texto, textColor );
	if(TTF_SizeText(font,texto,&w1,&h1))
		{
			printf("Error tamaño texto");
		} 
		else
		{
			w1=w1/2;
			w1=45-w1;
			if(w1<0)w1=0;
		}	
	apply_surface( x+w1, y+2, message, screen );
}	


void PaintBoton(int numero,int modo)
{
  if(nboton[numero].estado!=-1)Paintbutton(nboton[numero].x,nboton[numero].y,nboton[numero].w,nboton[numero].h,nboton[numero].nombre,modo);	
}

void PaintBotones()
{
 int x;
	for(x=0;x<MAXBOTONES && nboton[x].numero!=-1 ;x++)PaintBoton(x,0);
}	

int DetecBotones(int x, int y)
{
int z;
	for(z=0;z<MAXBOTONES && nboton[z].numero!=-1 ;z++)
	{
		if(nboton[z].estado!=-1 && x>nboton[z].x && y>nboton[z].y && x<(nboton[z].x+nboton[z].w) && y<(nboton[z].y+nboton[z].h))
			return z;
	}
return -1;

}

//_____________________________________

void PaintLight(int x,int y,int w,int h,char *texto,unsigned char tipo,int clase)
{
 SDL_Rect clip[ 1 ];
 SDL_Surface *message;
   if(tipo==0)
	{
		clip[ 0 ].x = 0;
    	clip[ 0 ].y = 25;
    	clip[ 0 ].w = 89;
    	clip[ 0 ].h = 25;	
	}
	else
	{
		if(clase==2)
		   {
			clip[ 0 ].x = 89;
    		clip[ 0 ].y = 25;
    		clip[ 0 ].w = 89;
    		clip[ 0 ].h = 25;			
		   }

		if(clase==3)
		   {
			clip[ 0 ].x = 0;
    		clip[ 0 ].y = 75;
    		clip[ 0 ].w = 89;
    		clip[ 0 ].h = 25;			
		   }
	
	}
	apply_surfaceB( x, y, dots, screen, &clip[ 0 ] );
	message = TTF_RenderText_Solid( font,texto, textColor );
	apply_surface( x+28, y+2, message, screen );
}

void PaintLuz(int numero,int modo)
{
	PaintLight(nluz[numero].x,nluz[numero].y,nluz[numero].w,nluz[numero].h,nluz[numero].nombre,modo,nluz[numero].numero);
}

void PaintLuces()
{
	int x;
	for(x=0;x<MAXLUCES && nluz[x].numero!=-1 ;x++)
	{
		if(nluz[x].estado==0)
			PaintLuz(x,0);
		 else
			PaintLuz(x,1);
	}
}	

//_____________________________________________



void PaintInput(int x,int y,int w,int h,char *texto,unsigned char tipo)
{
 SDL_Rect clip;
 SDL_Surface *message;
		clip.x = x;
    	clip.y = y;
    	clip.w = w;
    	clip.h = h;	

	SDL_FillRect( screen, &clip, SDL_MapRGB( screen->format, 0xFF, 0xFF, 0xFF ) );
	message = TTF_RenderText_Solid( font,texto, textColor );
	apply_surface( x+2, y+2, message, screen );
}


void PaintEntrada(int numero,int modo)
{
	if(nentrada[numero].estado!=-1) PaintInput(nentrada[numero].x,nentrada[numero].y,nentrada[numero].w,nentrada[numero].h,nentrada[numero].nombre,modo);
}

void PaintEntradas()
{
 int x;
	for(x=0;x<MAXENTRADAS && nentrada[x].numero!=-1 ;x++)	PaintEntrada(x,0);
}	

void TextEntrada(int numero,char *s)
{
	PaintInput(nentrada[numero].x,nentrada[numero].y,nentrada[numero].w,nentrada[numero].h,s,0);
}	

